
stages:
    - build 
    - test
    - package 
    - docker

variables:
  image_name: farahdocker954/farah11
  tag_name: tagname
    
build website:
    stage: build
    image: node:16-alpine
    script:
        - yarn install
        - yarn build

test website:
     
    stage: test
    image: node:16-alpine
    script:
        - test -f /path/to/your/file && echo "File exists" || echo "File does not exist"
package test:
    image: node:16-alpine
    stage: package

    script:
        - yarn install
        - yarn test 

docker image:
  stage: docker
  image: docker:19.03.12
  services:
    - docker:19.03.12-dind
  
  before_script:
      - docker login -u $DOCKER_USER -p $DOCKER_PASS

  script:
    - docker build -t $image_name:$tag_name .
  
    - docker push $image_name:$tag_name 
